/* Motif include files */
#include <Xm/Xm.h>
#include <Xm/CascadeB.h>
#include <Xm/Form.h>
#include <Xm/Label.h>
#include <Xm/List.h>
#include <Xm/MessageB.h>
#include <Xm/MwmUtil.h>
#include <Xm/PushB.h>
#include <Xm/RowColumn.h>
#include <Xm/Separator.h>
#include <Xm/Text.h>
#include <Xm/ToggleB.h>

/* X include files (must be included AFTER the Motif stuff) */
#include <X11/cursorfont.h>
#include <X11/Shell.h>

/***** defines for motif GUI stuff *****/

/* Defence against American spelling!!! */
#define XtRealiseWidget XtRealizeWidget
#define XtUnrealiseWidget XtUnrealizeWidget
#define XtIsRealised XtIsRealized

#define HEAD_OFFSET 10
/****** enumerated types for GUI ******/

/* for all windows */
enum dialog_token {
	OK,
	CANCEL,
	HELP
};

/* for main window */
enum menu_item {
    FILE_QUIT,
    FILE_LOAD,
    FILE_SAVE,
	OPTIONS_REALITY,
	HELP_ABOUT,
	HELP_AUTHOR
};

enum save_button_id {        /* View Save Button Identifiers */
    SAVE,
    SAVE_CANCEL
};
